Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1417230 - Can't add iSCSI storage domain to RHV
Summary: Can't add iSCSI storage domain to RHV
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.1.1
: ---
Assignee: Nobody
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 15:58 UTC by Bill Sanford
Modified: 2017-01-31 13:37 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-31 13:36:16 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)
View of Host in RHV-M that lists SCSI initiator name. (81.37 KB, image/png)
2017-01-27 15:58 UTC, Bill Sanford
no flags Details
Engine log (62.01 KB, text/plain)
2017-01-30 13:21 UTC, Bill Sanford
no flags Details
vdsm log (4.60 MB, text/plain)
2017-01-30 13:22 UTC, Bill Sanford
no flags Details

Description Bill Sanford 2017-01-27 15:58:46 UTC
Created attachment 1245165 [details]
View of Host in RHV-M that lists SCSI initiator name.

Description of problem:
I try to setup ISCSI storage with RHV-M and it won't add the storage. I have already have my initiators set, and RHV-M sees them, but it doesn't see the LUNS when I go to add them.

When I tail the engine.log, I get:

2017-01-27 10:48:00,137-05 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.GetDeviceListVDSCommand] (default task-16) [1981728f-d00c-4baa-aaed-01b256b87595] START, GetDeviceListVDSCommand(HostName = giediprime, GetDeviceListVDSCommandParameters:{runAsync='true', hostId='18a89989-8f40-44cf-bd9a-4e53a342fc49', storageType='ISCSI', checkStatus='false', lunIds='null'}), log id: 7d9805fd
2017-01-27 10:48:01,322-05 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.GetDeviceListVDSCommand] (default task-16) [1981728f-d00c-4baa-aaed-01b256b87595] FINISH, GetDeviceListVDSCommand, return: [], log id: 7d9805fd


Version-Release number of selected component (if applicable):
RHEL 7.3 
rhv-4.1.0-9/el7/

How reproducible:
100%

Steps to Reproduce:
1. install hosts with RHEL
2. Attach hosts to storage with sendtarget commands
3. Use RHV-M to add hosts, then storage.

Actual results:
RHV-M doesn't see LUNS and no storage gets added

Expected results:
RHV-M does see LUNS and storage gets added

Additional info:

Comment 2 Bill Sanford 2017-01-27 16:07:31 UTC
On the Host, Giediprime, I made sure I was connected to the storage:

[root@giediprime ~]# iscsiadm -m session --rescan
Rescanning session [sid: 1, target: iqn.1992-04.com.emc:cx.apm00160510824.a1, portal: 10.19.168.8,3260]
Rescanning session [sid: 2, target: iqn.1992-04.com.emc:cx.apm00160510824.a0, portal: 10.19.168.6,3260]
Rescanning session [sid: 3, target: iqn.1992-04.com.emc:cx.apm00160510824.b0, portal: 10.19.168.7,3260]
Rescanning session [sid: 4, target: iqn.1992-04.com.emc:cx.apm00160510824.b1, portal: 10.19.168.9,3260]
[root@giediprime ~]#

Comment 3 Yaniv Kaul 2017-01-28 15:44:25 UTC
logs? Engine and VDSM?

Comment 4 Bill Sanford 2017-01-30 13:21:08 UTC
I put the tail of the engine.log in the initial post. I will attach both.

Comment 5 Bill Sanford 2017-01-30 13:21:54 UTC
Created attachment 1245889 [details]
Engine log

Comment 6 Bill Sanford 2017-01-30 13:22:28 UTC
Created attachment 1245890 [details]
vdsm log

Comment 7 Yaniv Kaul 2017-01-30 13:24:59 UTC
None of the logs contain any call to create storage. Did you find such a call?

Comment 8 Bill Sanford 2017-01-30 13:33:25 UTC
I just tried to add it this am. The engine.log showed:

2017-01-30 08:14:35,706-05 INFO  [org.ovirt.engine.extension.aaa.jdbc.core.Tasks] (default task-2) [] (house keeping) deleting failed logins prior to 2017-01-23 13:14:35Z.

2017-01-30 08:14:35,760-05 INFO  [org.ovirt.engine.extension.aaa.jdbc.core.Tasks] (default task-2) [] (house keeping) deleting failed logins prior to 2017-01-23 13:14:35Z.

2017-01-30 08:14:35,790-05 INFO  [org.ovirt.engine.core.sso.utils.AuthenticationUtils] (default task-2) [] User admin@internal successfully logged in with scopes: ovirt-app-admin ovirt-app-api ovirt-app-portal ovirt-ext=auth:sequence-priority=~ ovirt-ext=revoke:revoke-all ovirt-ext=token-info:authz-search ovirt-ext=token-info:public-authz-search ovirt-ext=token-info:validate ovirt-ext=token:password-access

2017-01-30 08:14:35,882-05 INFO  [org.ovirt.engine.core.bll.aaa.CreateUserSessionCommand] (default task-13) [2ec5d3e] Running command: CreateUserSessionCommand internal: false.

2017-01-30 08:14:52,270-05 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.GetDeviceListVDSCommand] (default task-11) [d0b90e2b-46f0-4f01-b2e0-dd8b7600eb50] START, GetDeviceListVDSCommand(HostName = giediprime, GetDeviceListVDSCommandParameters:{runAsync='true', hostId='18a89989-8f40-44cf-bd9a-4e53a342fc49', storageType='ISCSI', checkStatus='false', lunIds='null'}), log id: 368658e9

2017-01-30 08:14:52,776-05 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.GetDeviceListVDSCommand] (default task-11) [d0b90e2b-46f0-4f01-b2e0-dd8b7600eb50] FINISH, GetDeviceListVDSCommand, return: [], log id: 368658e9

My storage is all initialized and seen from the hosts, per comment #2. When I have added storage in the past, RHEV-M saw the hosts and the LUN and I didn't need to search for them in the GUI, I could start immediately using them. The second to last line in the engine.log file, maybe doesn't see them? The org.ovirt.engine.core.vdsbroker.vdsbroker.GetDeviceListVDSCommand is getting what?

Comment 10 Marina Kalinin 2017-01-30 14:47:30 UTC
I suggest changing description of the bug to something like:
"Can't add iSCSI storage domain to RHV".

RHV-M by definition should not see any storage. Only the hosts should have the access to all storage domains in their Data Center.
The manager only provides the UI/API for managing that operation.

Comment 11 Yaniv Kaul 2017-01-30 17:31:29 UTC
 I can't find anywhere a request to connect to the storage.


Note You need to log in before you can comment on or make changes to this bug.